SourceFolder (Gradle API 7.6.4)

Package org.gradle.plugins.ide.eclipse.model

## Class SourceFolder

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
  - - org.gradle.plugins.ide.eclipse.model.SourceFolder

- All Implemented Interfaces:
    `ClasspathEntry`

      public class SourceFolder
      extends AbstractClasspathEntry

  SourceFolder.path contains only project relative path.

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceFolder​(Node node)` |
    `SourceFolder​(java.lang.String projectRelativePath, java.lang.String output)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendNode​(Node node)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getAbsolutePath()` |
    `java.io.File` | `getDir()` |
    `java.util.List<java.lang.String>` | `getExcludes()` |
    `java.util.List<java.lang.String>` | `getIncludes()` |
    `java.lang.String` | `getKind()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getOutput()` |
    `int` | `hashCode()` |
    `void` | `setDir​(java.io.File dir)` |
    `void` | `setExcludes​(java.util.List<java.lang.String> excludes)` |
    `void` | `setIncludes​(java.util.List<java.lang.String> includes)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setOutput​(java.lang.String output)` |
    `java.lang.String` | `toString()` |
    `void` | `trim()` |
    `void` | `trim​(java.lang.String prefix)` |

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceFolder

          public SourceFolder​(Node node)

    - #### SourceFolder

          public SourceFolder​(java.lang.String projectRelativePath,
                              java.lang.String output)

  - ### Method Detail

    - #### getOutput

          public java.lang.String getOutput()

    - #### setOutput

          public void setOutput​(java.lang.String output)

    - #### getIncludes

          public java.util.List<java.lang.String> getIncludes()

    - #### setIncludes

          public void setIncludes​(java.util.List<java.lang.String> includes)

    - #### getExcludes

          public java.util.List<java.lang.String> getExcludes()

    - #### setExcludes

          public void setExcludes​(java.util.List<java.lang.String> excludes)

    - #### getDir

          public java.io.File getDir()

    - #### setDir

          public void setDir​(java.io.File dir)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getKind

          public java.lang.String getKind()

    - #### getAbsolutePath

          public java.lang.String getAbsolutePath()

    - #### trim

          public void trim()

    - #### trim

          public void trim​(java.lang.String prefix)

    - #### appendNode

          public void appendNode​(Node node)

      Specified by:
        `appendNode` in interface `ClasspathEntry`
      Overrides:
        `appendNode` in class `AbstractClasspathEntry`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `AbstractClasspathEntry`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractClasspathEntry`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractClasspathEntry`